Generate a download URL for a backup
GET
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}/backups/{type}/{backupId}/download
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/backups/database/example/download';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/backups/database/example/download \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Example
test-orgapplication
required
string
The application ID
Example
test-appenvironment
required
string
The environment ID
Example
test-envtype
required
string
The backup type
backupId
required
string
The backup ID
Responses
Section titled “Responses”Download URL generated successfully
Media typeapplication/json
object
downloadUrl
Pre-signed S3 URL for download
string
expiresAt
URL expiration time
string format: date-time
filename
Suggested filename for download
string
Examplegenerated
{ "downloadUrl": "example", "expiresAt": "2026-04-15T12:00:00Z", "filename": "example"}